lexer grammar ScribblyLexer;

WS: [\t\n\r\f]+ ;
SPACE: ' '+ ;
ARROBE: '@' ;
LBLOCK: '[' ;
RBLOCK: ']' ;
LCURLY: '{' ;
RCURLY: '}' ;
COLON: ':' ;

ID: [a-z]+ ;

STRING: (~([:@{}\t\n\r\f ] | '[' | ']'))+ ;
