parser grammar ScribblyParser;
options { tokenVocab=ScribblyLexer; }

document
    : item* EOF
    ;

item
    : text
    | command
    ;

command
    : ARROBE commandName (WS? SPACE? LBLOCK attributeKey COLON attributeValue+ RBLOCK)* (WS? SPACE? LCURLY commandVal* RCURLY)?
    ;

commandName
    : ID
    ;

attributeKey
    : ID
    ;

attributeValue
    : ID
    | STRING
    | ARROBE (ARROBE | LBLOCK | RBLOCK | LCURLY | RCURLY)
    | COLON
    | SPACE
    ;

commandVal
    : text
    | command
    ;

text
    : ID
    | STRING
    | ARROBE (ARROBE | LBLOCK | RBLOCK | LCURLY | RCURLY)
    | COLON
    | WS
    | SPACE
    ;
