package fr.feufochmar.scribbly;

/**
 * Represent text parts of Scribbly documents
 * @author feufochmar
 */
public class ScribblyText implements ScribblyElement
{
  private String m_value = "";
  
  public ScribblyText()
  {
  }
  
  public ScribblyText(String value)
  {
    m_value = value;
  }
  
  public void setValue(String value)
  {
    m_value = value;
  }
  
  public String getValue()
  {
    return m_value;
  }

  @Override
  public void visit(ScribblyVisitor visitor)
  {
    visitor.onText(this);
  }
}
